It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
Hello fellow Linux gamers!

Here youʼll find scripts allowing you to build packages for Debian, Arch Linux, Gentoo and any derivative (Ubuntu, Manjaro, Linux Mint, etc.) from your installers for Dragon Age: Origins.
You will then be able to easily install these packages with you favourite packages manager.

Download links and usage instructions can be found on the following page:
Dragon Age: Origins

We hope you’ll enjoy the ease-of-use provided by these scripts as much as we enjoy writing and tweaking them ;)

Here you go for more supported games!

-----

Salut camarades Linuxiens !

Vous trouverez ici des scripts vous permettant de construire des paquets pour Debian, Arch Linux, Gentoo ou nʼimporte quelle distribution dérivée de celles-ci (Ubuntu, Manjaro, Linux Mint, etc.) à partir de vos installeurs pour Dragon Age: Origins.
Ces paquets pourront ensuite être installés facilement via votre gestionnaire de paquets habituel.

Les liens de téléchargement et les instructions d’utilisation se trouvent sur la page suivante :
Dragon Age: Origins

Nous espérons que vous apprécierez le confort apporté par ces scripts autant que nous apprécions les écrire et les améliorer ;)

Pour plus de jeux, rendez-vous par ici !
Post edited July 04, 2019 by vv221
Update

* Fix dependencies list
* Used shipped version of PhysX installer
Post edited July 04, 2019 by vv221
Thank you for setting this up. I'd way rather spend time on my linux partition than Windows. After downloading the files and following the directions on the wiki, the game shows up in the system menu but will not launch. When trying to launch it from the command line with 'dragon-age-origins' I get the following message:

/home/linuxmintpc/.local/share/play.it/prefixes/dragon-age-origins' is a 32-bit installation, it cannot support 64-bit applications.

Any pointers at all would be greatly appreciated. I'm not all that experienced with WINE.
avatar
jomac625: /home/linuxmintpc/.local/share/play.it/prefixes/dragon-age-origins' is a 32-bit installation, it cannot support 64-bit applications.
It’s a strange error, knowing that this game actually is a 32-bit application.

Can you give us the return of the following command?
It might tell us if something went wrong in your WINE installation.
dpkg -l "*wine*" | grep ^ii
I had wine installed before attempting to install Dragon Age: Origins, if that makes any difference.

The output of dpkg -l "*wine*" | grep ^ii is:

ii libwine:i386 3.0-1ubuntu1 i386 Windows API implementation - library
ii libwine-development:amd64 3.6-1 amd64 Windows API implementation - library
ii wine-development 3.6-1 all Windows API implementation - standard suite
ii wine-stable 4.0~bionic amd64 WINE Is Not An Emulator - runs MS Windows programs
ii wine-stable-amd64 4.0~bionic amd64 WINE Is Not An Emulator - runs MS Windows programs
ii wine-stable-i386:i386 4.0~bionic i386 WINE Is Not An Emulator - runs MS Windows programs
ii wine1.6 1:1.8.4ubuntu1 amd64 Windows API implementation (transitional package)
ii wine32:i386 3.0-1ubuntu1 i386 Windows API implementation - 32-bit binary loader
ii wine64-development 3.6-1 amd64 Windows API implementation - 64-bit binary loader
ii winetricks 0.0+20180217-1 all package manager for Wine to install software easily
I stumbled into the answer while trying to run the game exe file in wine. Apparently I had to install wine32-development. It's working fine now.
avatar
jomac625: (…)
Thanks for reporting back ;)